Circle Internet Group, Inc.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/circle-internet-group-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/circle-internet-group-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1751241600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://s206.q4cdn.com/265218871/files/doc_financials/2025/q2/f821ae11-0f00-407c-b48a-ab440e9ee3b0.pdf",
    "holding_balance": 73.0,
    "holding_net_change": 73.0,
    "transaction_value_usd": 2193000.0,
    "average_entry_value_usd": 30041.1,
    "transaction_value_calculated": false
  },
  {
    "date": 1759190400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://s206.q4cdn.com/265218871/files/doc_financials/2025/q3/d6734f9b-253c-4e49-b7e4-112a2600c73b.pdf",
    "holding_balance": 74.0,
    "holding_net_change": 1.0,
    "transaction_value_usd": 35000.0,
    "average_entry_value_usd": 35000.0,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/circle-internet-group-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1786924800000,
    74.0
  ],
  [
    1787011200000,
    74.0
  ],
  [
    1787097600000,
    74.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/circle-internet-group-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1786924800000,
    4649119.5600000005
  ],
  [
    1787011200000,
    4772634.4399999995
  ],
  [
    1787097600000,
    4787233.899999999
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/circle-internet-group-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 71.2,
    "date": "2026-08-14",
    "high": 74.62,
    "open": 74.46,
    "close": 71.6,
    "volume": 8581600
  },
  {
    "low": 70.727,
    "date": "2026-08-17",
    "high": 75.67,
    "open": 71.205,
    "close": 74.59,
    "volume": 9772500
  },
  {
    "low": 71.41,
    "date": "2026-08-18",
    "high": 74.22,
    "open": 72.81,
    "close": 71.73,
    "volume": 7211483
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/circle-internet-group-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0.2984,
  "quarterly_earnings_growth": -0.809,
  "eps_estimate_current_quarter": 0.1594
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/circle-internet-group-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 9.6,
  "six_month_return": 16.41,
  "three_month_return": -35.6
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/circle-internet-group-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.0,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "up"
}